PDA

View Full Version : OpenGL error, Only on Generic 1.1



JaxDasher
07-21-2011, 02:47 PM
Hi guys, I have a really annoying problem with my OpenGL.

When I run programs that require latest OpenGL it fails to start with errors like "could not initiate OpenGL" "update your Opengl" or "no OpenGL" detected.

So I downloaded OpenGLviewer to see whats wrong with my opengl..I noticed then that its on "Generic 1.1" settings only. I can't seem to choose or update to a later version of OpenGL.

I did not have this problem before. My graphics cards is radeon HD 4650. I have tried to uninstall my Ati drivers and re-installed them but still doesn't fix it. I find this very inconvenient and tempted to reinstall windows altogether. Did anyone have similar problems?